# データ型の定義

外部キー以外のモデルフィールドの種類は項目名から下表のルールに従い決定する。  
上部のルールから順に適用し、いずれのルールにも合致しない場合は文字列( `Char` )として扱う。

| 文字列       | 判定条件 | データ型 |
|--------------|----------|----------|
| 日時         | 含む     | DateTime |
| 日           | 含む     | Date     |
| 月           | 含む     | Month    |
| 年           | 含む     | Year     |
| フラグ       | 含む     | Boolean  |
| ID           | 終わる   | Char     |
| id           | 終わる   | Char     |
| CD           | 終わる   | Char     |
| cd           | 終わる   | Char     |
| 期           | 終わる   | Char     |
| 順           | 含む     | Integer  |
| NO           | 終わる   | Integer  |
| No           | 終わる   | Integer  |
| no           | 終わる   | Integer  |
| 金額         | 終わる   | Integer  |
| 費用         | 終わる   | Integer  |
| 数           | 含む     | Float    |
| ファイル     | 終わる   | File     |
| 添付ファイル | 始まる   | File     |
| 稟議内容     | 含む     | Text     |
| 目的・効果   | 含む     | Text     |
| 採用条件詳細 | 含む     | Text     |
| その他       | 含む     | Text     |
| 要望       | 一致     | Text     |
|  アクション内容      | 一致     | Text     |
| 次回アクション内容       | 一致     | Text     |
| コメント       | 一致     | Text     |